package org.cebs.corep.xbrl.action;

import java.rmi.RemoteException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import org.cebs.corep.xbrl.exceptions.CorepBusinessException;

/**
 * Diese Klasse fhrt keine Action aus, sondern dient lediglich zur Weitergabe des
 * Form-Objektes an eine JSP. Ohne diese Klasse wrde das Form-Objekt neu initialisiert
 * und der Inhalt, der auch in den folgenden Seiten bentigt wird, wre nicht mehr vorhanden.
 */
public class NoAction extends CorepAction
{
  /**
   * Fhrt keinerlei Action aus.
   * <br />
   *
   * @param  mapping     ActionMapping Das ActionMapping, welches diese Instanz bestimmte.
   * @param  actionForm  ActionForm Optional ActionForm fuer diesen Request.
   * @param  request     HttpServletRequest Der zu verabeitende HTTP Request.
   * @param  response    HttpServletResponse Der zu erzeugende HTTP Response.
   */
  public void performAction(ActionMapping mapping, ActionForm actionForm, HttpServletRequest request, HttpServletResponse response) throws CorepBusinessException, RemoteException
  {
  }
}