package org.cebs.corep.xbrl.exceptions;

import java.io.Serializable;

import javax.ejb.EJBException;

/**
 * Grenzt eine allgemeine technical Exception 
 * als CorepTechnicalException ein. 
 */
public class CorepTechnicalException extends RuntimeException implements Serializable
{
  /**
   * Constructor for CorepTechnicalException.
   */
  public CorepTechnicalException()
  {
    super();
  }

  /**
   * Constructor for CorepTechnicalException.
   * @param arg0 String
   */
  public CorepTechnicalException(String arg0)
  {
    super(arg0);
  }

  /**
   * Constructor for CorepTechnicalException.
   * @param arg0 Exception
   */
  public CorepTechnicalException(Exception arg0)
  {
    super(arg0);
  }

  /**
   * Constructor for CorepTechnicalException.
   * @param arg0 String
   * @param arg1 Exception
   */
  public CorepTechnicalException(String arg0, Exception arg1)
  {
    super(arg0, arg1);
  }

}
